> ## Documentation Index
> Fetch the complete documentation index at: https://docs.syntage.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve tax return data

> Retrieve extracted data from a tax return.

For annual tax returns, there are two available formats:
- Financial statements 2022 format - This is available for non-pfae tax returns. Data will only be returned if the SAT provides the XLSX financial statements document.
- Financial statements 2014 format - This is available for pfae annual tax returns from 2014 to now, and all other annual tax returns from 2014-2021, as long as we are able to retrieve the PDF.

For provisional (monthly) tax returns, the response contains extracted financial variables including sales revenue, cash inflow, cash outflow, number of employees, and payroll amount. The available variables depend on the tax regime (601, 612, 626).

The response format here may change if SAT changes the categories or other formatting in the files they provide.




## OpenAPI

````yaml get /tax-returns/{id}/data
openapi: 3.0.2
info:
  version: '2020-06-28'
  title: Syntage API
  contact:
    name: Email
    email: support@syntage.com
  description: >
    # Introduction


    The Syntage API is organized around
    [REST](https://en.wikipedia.org/wiki/Representational_State_Transfer).

    Our API has predictable resource-oriented URLs, accepts form-encoded request
    bodies, returns [JSON-LD](https://json-ld.org) responses, and uses standard
    HTTP response codes, authentication, and verbs.


    # Environments


    | Name | Description | Base URL |

    |------|-------------|----------|

    | **Sandbox** | The Sandbox environment is dedicated to development and
    testing. In this environment, no real taxpayer credentials are required and
    all interaction with the SAT is simulated generating life-like data,
    allowing you to pull test data from all endpoints. |
    https://api.sandbox.syntage.com |

    | **Production** | The Production environment is dedicated to live
    applications with real connections to the SAT. In this environment, real
    taxpayer credentials are required, and you will pull real fiscal data
    directly from the SAT. | https://api.syntage.com |


    Each environment has a different API Key for
    [authentication](#section/Authentication).


    # Request IDs


    Each API request has an associated request identifier.

    You can find this value in the response headers, under `X-Request-ID`:


    ```curl

    curl -i https://api.syntage.com

    HTTP/1.1 200 OK

    Date: Sun, 29 Nov 2020 19:21:21 GMT

    X-Request-ID: Root=1-6532dcae-169bf139354cd48959f55c55

    ```


    If you need to contact us about a specific request, providing the request
    identifier will ensure the fastest possible resolution.


    # Rate Limiting


    Our API employs a number of safeguards against bursts of incoming traffic to
    help maximize its stability.

    The returned HTTP headers of any API request show your current rate limit
    status:


    ```curl

    curl -i https://api.syntage.com

    HTTP/1.1 200 OK

    Date: Sun, 29 Nov 2020 19:21:21 GMT

    X-RateLimit-Limit: 60

    X-RateLimit-Remaining: 56

    X-RateLimit-Reset: 1606678044

    ```


    | Header Name           | Description |

    |-----------------------|------------------------------------------------------------------------------|

    | X-RateLimit-Limit     | The maximum number of requests you're permitted to
    make.                     |

    | X-RateLimit-Remaining | The number of requests remaining in the current
    rate limit window.           |

    | X-RateLimit-Reset     | The time at which the current rate limit window
    resets in UTC epoch seconds. |


    If you exceed the rate limit, a [429 Too Many
    Requests](https://developer.mozilla.org/en-US/docs/Web/HTTP/Status/429)
    response is returned:


    ```http

    HTTP/1.1 429 Too Many Requests

    Date: Sun, 29 Nov 2020 19:21:21 GMT

    X-RateLimit-Limit: 60

    X-RateLimit-Remaining: 0

    X-RateLimit-Reset: 1606678044

    ```


    We may reduce limits to prevent abuse, or increase limits to enable
    high-traffic operations.

    You can check your current limits in the
    [dashboard](https://app.syntage.com/settings/usage).

    To request an increased rate limit, please [contact
    support](https://support.syntage.com/).

    # Pagination

    When issuing a GET request on a collection containing more than 1 page (e.g.
    [/events](#operation/ListEvent)),  a collection is returned. Links to the
    first, the last, previous and the next page in the collection are displayed
    as well as the  number of total items in the collection.

    All endpoints that support this operation have a query parameter defined by:
      - `itemsPerPage` The number of items per page (default: 20, max: 1000)
      - `page` The collection page number

    ```bash
      "hydra:totalItems": 1,
      "hydra:view": {
        "@id": "/events?page=1",
        "@type": "hydra:PartialCollectionView",
        "hydra:first": "/events?page=1",
        "hydra:next": "/events?page=2",
        "hydra:last": "/events?page=3"
      },
    ```

    ## Cursor Pagination

    Cursor pagination is a technique used for navigating through large datasets
    efficiently. It allows you to retrieve a specific subset of results from a
    collection by using a cursor value that represents the position within the
    collection. The cursor serves as a reference point for fetching the next or
    previous set of results.

    ### Benefits of Cursor Pagination:

    1. **Efficient Navigation:** Cursor pagination eliminates the need to fetch
    the entire dataset at once, making it more scalable and faster. You can
    retrieve data in smaller, manageable chunks based on the cursor values.

    2. **Consistent Results:** Each page of results in cursor pagination is
    stable and doesn't change even if new items are added or removed from the
    collection. This ensures that you get consistent and reliable results.

    3. **Flexibility:** Cursors can be used to navigate forwards and backwards
    in the collection without impacting performance.


    ### How to Use Cursor Pagination:

    To use cursor pagination with our API, follow these instructions:

    1. Make a request to retrieve the initial page of results. The response will
    be a JSON-LD document that includes a `hydra:next` attribute with the URI
    for the next page. The URI already includes the cursor attribute.

    2. To retrieve the next page of results, make a GET request to the URI
    provided in the `hydra:next` attribute. This URI will automatically include
    the cursor value for the next page.

    3. If you want to navigate to the previous page, you can use the
    `hydra:previous` attribute in the JSON-LD response. It will contain the URI
    for the previous page, including the cursor value.

    4. You can continue making requests to the `hydra:next` and `hydra:previous`
    URIs to navigate through the paginated results, based on your requirements.

    Make sure to update your request headers to include the necessary headers
    for JSON-LD content negotiation, such as `Accept: application/ld+json` or
    `Content-Type: application/ld+json`.

    By following these instructions, you can effectively navigate through the
    paginated results using the cursor values provided in the `hydra:next` and
    `hydra:previous` attributes, without the need to manually include the cursor
    in your requests. This simplifies the pagination process and enhances the
    usability of our API.


    ### Considerations About Cursor Pagination:

      - By default, the API uses offset-based pagination (except for a few endpoints that we will list below). If you want to switch to cursor pagination, you need to include an additional header in your request. Set the `X-Pagination-Style` header with the value `"cursor"` to enable cursor pagination. If not specified, the API will assume offset-based pagination.

      - After enabling cursor pagination, the API response will no longer include the `hydra:totalItems` field by default. Retrieving the total count can be resource intensive and impact response times, especially for large datasets. However, if you need the `hydra:totalItems` information, you can include an additional header in your request. Set the `X-Pagination-Enable-Partial` header with the value `0` to indicate that the response should include extra information, including the `hydra:totalItems` count. Please be aware that enabling this feature may impact API response times, as the backend needs to perform a count operation on the dataset.

    If you require the `hydra:totalItems` count, please consider the potential
    impact on API response times.

    ### Example

    ```bash
      curl -i 'https://api.syntage.com/entities/{entityId}/invoices?itemsPerPage=10' \
        --header 'Accept: application/ld+json' \
        --header 'X-Api-Key: {apiKey}' \
        --header 'X-Pagination-Style: cursor' \
        --header 'X-Pagination-Enable-Partial: 0'
    ```

    **Note:** We only support cursor pagination for the following endpoints:
     - `GET /entities/{entityId}/invoices`
     - `GET /entities/{entityId}/invoices/line-items`
     - `GET /entities/{entityId}/invoices/{invoiceId}/line-items`
     - `GET /invoices/{invoiceId}/line-items`
     - `GET /entities/{entityId}/invoices/payments`

    Feel free to reach out if you have any further questions or need additional
    assistance!


    # Property Filtering

    The property filter adds the possibility to select the properties for GET
    operations.

    Syntax: `?properties[]=<property>&properties[<relation>][]=<property>`

    You can add as many properties as you need. The following example shows how
    to select `paymentType` and  `issuer.rfc` when fetching a list of invoices.

    ```curl
      curl -i https://api.syntage.com/entities/{entityId}/invoices?properties[]=paymentType&properties[issuer]=rfc
    ```

    # Filtering

    **Warning:** Collection endpoints only apply the filter query parameters
    documented for that endpoint. If you send an unsupported or misspelled
    filter query parameter, the API ignores it and processes the request as if
    that parameter was not sent.


    # API Versioning Guide

    Guidance on changes between versions.

    ## Version: 2020-01-01 to 2020-06-28

    ### **Invoice**

    _**Affected Endpoints:** `GET /invoices/{id}` and `GET
    /entities/{entityId}/invoices`_

    - The `amount` property has been removed from API responses. Use the `total`
    property instead.

    - Retrieval by invoice's `uuid` at `/invoices/{id}` is now removed. To
    retrieve an invoice, use the invoice's `id` at the specified endpoint. To
    find an invoice using its `uuid`, filter the invoice collection at
    `/entities/{entityId}/invoices?uuid[]={uuid}`.

    - Previously, the `@iri` property for an invoice pointed to the resource
    using `uuid`, like `/invoices/{uuid}`. Now, it points using its `id`, like
    `/invoices/{id}`.


    ### **Entity (Formerly Link)**

    _**Affected Endpoint:** `GET /entities`_

    - Filtering entities by `status` is removed. Use `credential.status`
    instead. For example, utilize `GET /entities?credential.status[]=active`
    instead of `GET /entities?status[]=active`.


    ### **Tax Return**

    _**Affected Endpoints:** `GET /tax-returns/{id}` and `GET
    /entities/{entityId}/tax-returns`_

    - Retrieval by tax return's `operationNumber` at `/tax-returns/{id}` is
    removed. To retrieve a tax return, use the tax return's `id` at the
    mentioned endpoint. To find a tax return using its `operationNumber`, filter
    the collection at
    `/entities/{entityId}/tax-returns?operationNumber[]={operationNumber}`.

    - Previously, the `@iri` property for a tax return pointed to the resource
    using `operationNumber`, like `/tax-returns/{operationNumber}`. Now, it
    directs to its `id`, like `/tax-returns/{id}`.


    ### **Event**

    _**Affected Endpoints:** `GET /events` and `GET /events/{id}`_

    - For events associated to an `tax-return`, the `@iri` property now directs
    to `/tax-returns/{id}` instead of the previous
    `/tax-returns/{operationNumber}`.

    - For events associated to an `invoice`, the `@iri` property now directs to
    `/invoices/{id}` instead of the previous `/invoices/{uuid}`.


    ### **Extraction**

    _**Affected Endpoints:** `GET /extractions` and `GET /extractions/{id}`_

    - The `periodFrom` property has been removed. Use `options.period.from`
    instead.

    - The `periodTo` property has been removed. Use `options.period.to` instead.


    ### **File**

    _**Affected Endpoint:** `GET /file/{id}`_

    - For files associated to an `tax-return`, the `@iri` property now directs
    to `/tax-returns/{id}`, instead of the previous
    `/tax-returns/{operationNumber}`.

    - For files associated to an `invoice`, the `@iri` property now directs to
    `/invoices/{id}`, instead of the previous `/invoices/{uuid}`.


    ### Trying Out This Version

    If you want to test this version, you can do so by making any request with
    the `Accept-Version` header pointing to the latest version:

    ```curl
      curl -i 'https://api.syntage.com/entities/{entityId}/invoices' \
        --header 'Accept-Version: 2020-06-28' \
        --header 'X-Api-Key: {apiKey}'
    ```
servers:
  - url: https://api.syntage.com
    description: Production
  - url: https://api.sandbox.syntage.com
    description: Sandbox
security:
  - ApiKey: []
tags:
  - name: Events
    description: >
      Events record meaningful changes to resources in your organization.


      When something changes, Syntage creates an Event resource. For example,
      submitting an entity's SAT credential can create credential and entity
      events, and a completed extraction can create an `extraction.updated`
      event.


      Many requests can create more than one event. For example, submitting
      valid SAT credentials for an entity can create `credential.created`,
      `credential.updated`, and `link.created` events.


      Events occur when the state of another resource changes. The state of that
      resource at the time of the change is embedded in the event's `data`
      field. For example, a `credential.updated` event contains a Credential,
      and an `invoice.updated` event contains an Invoice.


      Use the Events endpoints to retrieve recent events directly. Use
      [webhooks](/api-reference/webhooks/overview) when you want Syntage to
      deliver events to your server automatically.


      Access to events is only guaranteed for 7 days.


      Entity lifecycle events still use the `link.*` event type names for
      backwards compatibility.


      The suffix describes the kind of change:


      | Suffix | Meaning |

      | --- | --- |

      | `.created` | A new resource was created. |

      | `.updated` | An existing resource changed. |

      | `.deleted` | A resource was deleted or is no longer available. |


      | Resource | Event types |

      | --- | --- |

      | Credentials | `credential.created`, `credential.updated`,
      `credential.deleted` |

      | Entities | `link.created`, `link.updated`, `link.deleted` |

      | Files | `file.created` |

      | Extractions | `extraction.created`, `extraction.updated` |

      | Exports | `export.created`, `export.updated` |

      | Invoices | `invoice.created`, `invoice.updated`, `invoice.deleted` |

      | Invoice payments | `invoice_payment.created`, `invoice_payment.updated`
      |

      | Invoice line items | `invoice_line_item.created`,
      `invoice_line_item.updated` |

      | Tax returns | `tax_return.created`, `tax_return.updated`,
      `tax_return.deleted` |

      | Tax status | `tax_status.created`, `tax_status.updated`,
      `tax_status.deleted` |

      | Tax compliance checks | `tax_compliance_check.created`,
      `tax_compliance_check.updated`, `tax_compliance_check.deleted` |

      | Tax retentions | `tax_retention.created`, `tax_retention.updated`,
      `tax_retention.deleted` |

      | Electronic accounting records | `electronic_accounting_record.created`,
      `electronic_accounting_record.updated` |

      | RPC entidades | `rpc_entidades.created`, `rpc_entidades.updated` |

      | RPC socios | `rpc_socios.created`, `rpc_socios.updated` |

      | RPC actos | `rpc_acto.created`, `rpc_acto.updated` |

      | Shareholder relations | `shareholder_relation.created`,
      `shareholder_relation.updated` |

      | Shareholder relation sources | `shareholder_relation_source.created` |

      | RUG garantias | `rug_garantia.created`, `rug_garantia.updated` |

      | Buró de Crédito reports | `buro_de_credito_report.created`,
      `buro_de_credito_report.updated` |

      | Background checks | `background_check.created` |

      | SAT certificates | `sat_certificate.created`, `sat_certificate.updated`
      |

      | Company verification reports | `company_verification_report.created`,
      `company_verification_report.updated` |
  - name: Exports
    description: >
      Export invoices data in csv or xlsx format. Once you requested an export
      you will receive an email with a link to download the generated file
  - name: Files
    description: |
      Files associated to resources
  - name: DS MX SAT Credentials
  - name: DS MX SAT Certificates
  - name: Entities
    description: >
      An Entity is a resource that represents a person or company. Entities can
      be added via Add Entity, or automatically when a credential is validated
      (when the status becomes "valid"). This resource controls your access to
      data and allows you to create new extractions. When an Entity is deleted,
      all data related to the entity is deleted as well.
  - name: Extractions
    description: >
      Extractions are tasks that retrieve data for an entity from a datasource.
      They are used to collect invoices, tax returns, tax status, tax compliance
      checks, RPC records, RUG guarantees, Buró de Crédito reports, BIL reports,
      and other datasource-backed records.


      An extraction runs asynchronously. Creating one starts or queues the work,
      and the returned Extraction resource tracks its status, options, timing,
      errors, and the number of resources created or updated.


      ## How Extractions Work


      1. Create or retrieve the entity you want to extract data for.

      2. Create an extraction with the entity IRI, extractor name, and extractor
      options.

      3. Store the returned extraction ID.

      4. Retrieve the extraction until its `status` is `finished` or `failed`.

      5. Read the extracted data from the related resource endpoints, such as
      invoices or tax returns.


      If the same extraction is already pending or running for the same entity,
      extractor, and options, Syntage returns a duplicate extraction response
      instead of starting the same work again.


      ## Options


      Options containing a period (`.`) in the name like `period.from` are a way
      to denote object paths. For example, `period.from` should actually be sent
      as:


      ```json

      {
          "options": {
            "period": {
              "from": "2020-01-01",
              "to": "2020-12-31"
            }
          }
      }

      ```


      Extractor names and options are specific to the data you are extracting.
      For extraction-backed resources, use the resource overview page for the
      extractor name, required credentials, supported options, and the endpoint
      where the extracted records can be read.


      # Extraction status


      | Status | Description |

      | ------ | ----------- |

      | pending | The initial extraction status. The extraction is enqueued and
      waiting to be processed. |

      | waiting | The extraction does not meet the requirements to begin. |

      | running | The extraction process started and is currently running. The
      running time varies depending on the extractor type and the entity's
      transactional volume. You may find partial data available in our API
      endpoints during this time. |

      | finished | The extraction finished successfully. All data is available
      to be retrieved from our API endpoints. |

      | failed | The extraction couldn't start or failed during the process. Our
      internal retry policies weren't able to finish the extraction
      successfully. We may have partial data available in our API endpoints, but
      new extractions should be created to ensure all the entity's data is
      available. You can check the [extraction error
      code](#section/Extraction-error-codes) to understand why it failed and
      determine whether it can be retried or not. |

      | stopping | The extraction was requested to be stopped by the user. It is
      in the process of being stopped. |

      | stopped | The extraction was stopped by the user after it started
      running. This extraction is included in billing. |

      | cancelled | The extraction was stopped by the user before it started
      running. This extraction is not included in billing. |

      # Extraction error codes


      | Code | Description | Retryable |

      | ---- | ----------- | --------- |

      | invalid_credentials | The SAT [Credential](#tag/Credentials) is no
      longer valid. | No |

      | login_failed | We couldn't log in with the SAT credential. | Yes |

      | unrecoverable | The extraction process failed many times, and we reached
      a maximum number of retries. | Yes |

      | sat_unavailable | We detected that SAT itself is down or unresponsive. |
      Yes |

      | internal_error | We detected an internal error in our own
      infrastructure. | Yes |

      | undefined | We couldn't determine the error cause and our internal team
      will investigate it. | Yes |
  - name: DS MX SAT Invoices
    description: >
      Invoices represent CFDI documents issued or received by an entity. Invoice
      records include SAT identifiers, issuer and receiver data, monetary
      totals, payment status, cancellation status, invoice relationships, file
      availability, and tags.


      Use the entity invoice list when you need all invoices extracted for one
      entity. Retrieve an invoice by ID when you need the full invoice resource,
      including tags and related invoice metadata. Use the CFDI endpoint when
      you need the XML or PDF content for a specific invoice.


      ### Blacklist status


      The field `issuer.blacklistStatus` or `receiver.blacklistStatus` is set
      when the invoice issuer or receiver

      RFC is found in the [SAT 69-B
      list](https://omawww.sat.gob.mx/cifras_sat/Paginas/datos/vinculo.html?page=ListCompleta69B.html):


      | Status      | Description |

      |-------------|-----------------------------------------------------------------------------------------------------------|

      | presumed    | SAT has identified possible irregularities and started an
      investigation |

      | dismissed   | SAT dismissed the investigation after reviewing evidence |

      | definitive  | SAT determined that the RFC has confirmed irregularities |

      | favorable   | SAT reversed a definitive status after reviewing
      additional evidence |
  - name: DS MX SAT Invoice Line Items
  - name: DS MX SAT Invoice Relations
    description: >
      Invoice relations represent CFDI relationships between invoices, such as
      substitutions, credit notes, or other SAT-defined relation types. Each
      relation includes the source invoice, related invoice when Syntage has it,
      related invoice UUID, and the SAT relation type code.
  - name: DS MX SAT Tax Retentions
  - name: DS MX SAT Credit Notes
  - name: DS MX RPC Entidades
    description: >
      RPC entidades are company records extracted from the Registro Publico de
      Comercio. They group registration profile data, related registry acts, and
      shareholder records found for an entity.
  - name: DS MX RPC Actos
    description: >
      RPC actos are commercial registry acts associated with an RPC entidade.
      They can include extracted act data and file references for registry
      documents.
  - name: DS MX RPC Socios
    description: |
      RPC socios are shareholder or partner records found in RPC filings.
  - name: Scheduler Rules
  - name: Schedulers
  - name: DS MX SAT Invoice Batch Payments
    description: >
      Batch payments are derived from payment receipt CFDIs, also known as type
      `P` invoices. A batch payment groups one or more invoice payments into the
      payment transaction reported by SAT.


      Use batch payments when you need payment-method, currency, bank,
      operation-number, or transaction-level information. Use invoice payments
      when you need the amount applied to a specific deferred invoice.
  - name: DS MX SAT Invoice Payments
    description: >
      Invoice payments are derived from payment receipt CFDIs, also known as
      type `P` invoices. A payment receipt records payment activity for a
      previously issued deferred invoice.


      Each payment belongs to a batch payment and the invoice it was applied to.
      Syntage updates the related invoice's `paidAmount`, `dueAmount`, and
      `fullyPaidAt` fields based on the received payments.
  - name: DS MX SAT Electronic Accounting
  - name: DS MX SAT Tax Returns
  - name: DS MX SAT Tax Compliance Checks
    description: >
      A tax compliance check maps the content of Opinion de Cumplimiento de
      Obligaciones Fiscales, an official SAT document that states whether an RFC
      is complying with its tax obligations. Each tax compliance check is a
      snapshot of the compliance result at a specific check date.


      | Result | Meaning |

      |---|---|

      | `positive` | The RFC is complying with its tax obligations |

      | `negative` | SAT reported one or more compliance issues |

      | `no_obligations` | SAT reported no active tax obligations |

      | `activity_suspended` | SAT reported suspended business activity |
  - name: DS MX SAT Tax Status
  - name: Cash Flow Insight
  - name: Balance Sheet Insight
  - name: Income Statement Insight
  - name: Invoicing Concentration Insight
  - name: Customer Concentration Insight
  - name: Vendor Concentration Insight
  - name: Employees Insight
  - name: Expenditures Insight
  - name: Financial Institutions Insight
  - name: Financial Ratios Insight
  - name: Government Customers Insight
  - name: Invoicing Blacklist Insight
  - name: Risks Insight
  - name: Sales Revenue Insight
  - name: Summary Insight
  - name: Trial Balance Insight
  - name: Shareholders Insight
  - name: RPC Shareholders Insight
  - name: Customer Network Insight
  - name: Vendor Network Insight
  - name: Invoicing Annual Comparison Insight
  - name: Scores Insight
  - name: Insight Exports
    description: |
      Insight exports return supported entity insights as CSV or XLSX files.
  - name: Webhook Endpoints
    description: >
      Webhook endpoints tell Syntage where to deliver events for your
      organization. Each endpoint includes the HTTPS delivery URL, subscribed
      event types, enabled state, payload content type, and signing secret.
  - name: Webhook Requests
    description: >
      Webhook requests are delivery attempts from Syntage to a webhook endpoint.
      Use them to monitor delivery status, inspect failed deliveries, and
      connect an event to the endpoint that received it.
  - name: DS Syntage Score
    description: >
      Syntage Score calculates an internal score for a company entity from SAT
      annual tax return data and tax compliance data.
  - name: DS MX RUG Operaciones
    description: >
      RUG operations are registry acts associated with a movable collateral
      guarantee. They include operation metadata, guarantee numbers, grantors,
      parsed boleta data, and file references when available.
  - name: DS MX RUG Garantias
    description: >
      RUG guarantees are movable collateral guarantees registered in Mexico's
      Registro Unico de Garantias Mobiliarias.
  - name: DS MX Buró de Crédito Reports
    description: >
      Buró de Crédito reports contain credit bureau data generated for an entity
      by the `buro_de_credito_report` extractor. Reports include the selected
      product type, provider report ID, parsed provider response, score when
      available, and generated files such as the report PDF.
  - name: DS MX Buró de Crédito Authorizations
    description: >
      Buró de Crédito authorizations store the consent, RFC, address, and
      identity data required before Syntage can request Buró de Crédito reports
      for an entity.
  - name: Background Checks
    description: >
      Background checks provide comprehensive verification and screening data
      for entities. These checks gather information from various databases and
      sources to assess risk, verify identity, and provide insights into an
      entity's background across multiple categories.


      ### Check Categories

      Background checks are organized into specific categories:

      - **personal_identity**: Identity verification and personal information

      - **criminal_record**: Criminal background and legal history

      - **legal_background**: Legal proceedings and court records

      - **business_background**: Business registration and commercial activity

      - **professional_background**: Professional licenses and certifications

      - **credit_history**: Credit and financial history

      - **taxes_and_finances**: Tax compliance and financial records

      - **affiliations_and_insurances**: Professional affiliations and insurance
      records

      - **driving_licenses**: Driving licenses and vehicle permits

      - **vehicle_information**: Vehicle ownership and registration

      - **traffic_fines**: Traffic violations and fines

      - **alert_in_media**: Media mentions and public records

      - **behavior**: Behavioral patterns and risk indicators

      - **international_background**: International records and verification

      - **politically_exposed_person**: PEP (Politically Exposed Person)
      screening

      - **document_validation**: Document authenticity verification


      ### Check Status

      - **pending**: Background check is being processed

      - **completed**: Background check has been completed successfully

      - **error**: Background check encountered an error during processing


      ### Supported Countries

      - **MX**: Mexico-specific background checks

      - **ALL**: International background checks across multiple countries
  - name: Company Verification Reports
    description: >
      Company Verification Reports provide verification of company details and
      supporting files extracted from trusted sources. Use these endpoints to
      retrieve reports for a specific entity, list all reports, or download the
      generated PDF report.
  - name: Shareholders
    description: >
      Shareholders represent individuals or entities that own shares in a
      company. This resource provides information about shareholders, their
      relationships with entities, and the sources of shareholder information.


      ### Shareholder Types

      - **physical**: Individual person shareholders

      - **legal**: Corporate entity shareholders

      - **unknown**: When the shareholder type cannot be determined


      ### Relation Types

      - **shareholders**: Indicates the entity's shareholders

      - **shareholder_of**: Indicates entities that this shareholder owns shares
      in


      ### Source Types

      - **manual**: Manually entered shareholder information

      - **rpc_socio**: Information sourced from RPC (Registro Público de
      Comercio)

      - **company_verification**: Cap-table shareholders synced from a company
      verification report
paths:
  /tax-returns/{id}/data:
    get:
      tags:
        - DS MX SAT Tax Returns
      summary: Retrieve tax return data
      description: >
        Retrieve extracted data from a tax return.


        For annual tax returns, there are two available formats:

        - Financial statements 2022 format - This is available for non-pfae tax
        returns. Data will only be returned if the SAT provides the XLSX
        financial statements document.

        - Financial statements 2014 format - This is available for pfae annual
        tax returns from 2014 to now, and all other annual tax returns from
        2014-2021, as long as we are able to retrieve the PDF.


        For provisional (monthly) tax returns, the response contains extracted
        financial variables including sales revenue, cash inflow, cash outflow,
        number of employees, and payroll amount. The available variables depend
        on the tax regime (601, 612, 626).


        The response format here may change if SAT changes the categories or
        other formatting in the files they provide.
      operationId: GetTaxReturnData
      parameters:
        - $ref: '#/components/parameters/taxReturnId'
      responses:
        '200':
          $ref: '#/components/responses/TaxReturnData'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    taxReturnId:
      name: id
      in: path
      required: true
      schema:
        $ref: '#/components/schemas/TaxReturnID'
  responses:
    TaxReturnData:
      description: Extracted data from tax returns
      content:
        application/json:
          schema:
            type: object
          examples:
            financial_statements_2022:
              summary: Financial statements 2022 format
              value:
                ESTADO DE RESULTADOS:
                  Pérdida neta:
                    Notas: This field may contains a comment from the respective line
                    Total: 123
                    Partes Relacionadas: null
                    Partes No Relacionadas: null
                  Utilidad neta:
                    Notas: null
                    Total: null
                    Partes Relacionadas: null
                    Partes No Relacionadas: null
                  Ingresos Netos:
                    Notas: null
                    Total: 123
                    Sin Ingresos:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Otros Ingresos:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Primas cedidas:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Primas emitidas:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Partes Relacionadas: 0
                    Gastos por intereses:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Ingresos por intereses:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Partes No Relacionadas: 123
                    Ventas y/o servicios nacionales:
                      Notas: null
                      Total: 123
                      Partes Relacionadas: 0
                      Partes No Relacionadas: 123
                    Ventas y/o servicios extranjeros:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Estimación preventiva para riesgos crediticios:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Devoluciones, descuentos y bonificaciones nacionales:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Devoluciones, descuentos y bonificaciones extranjeras:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Estimación preventiva para riesgos crediticios (Recuperaciones):
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                  Pérdida Bruta:
                    Notas: null
                    Total: null
                    Partes Relacionadas: null
                    Partes No Relacionadas: null
                  Utilidad Bruta:
                    Notas: null
                    Total: 123
                    Partes Relacionadas: null
                    Partes No Relacionadas: null
                  Costo de ventas:
                    Notas: null
                    Total: 123
                    Maquilas:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Otros costos:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Gastos Indirectos:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Partes Relacionadas: 0
                    Sin Costo de ventas:
                      Notas: null
                      Total: 0
                      Partes Relacionadas: 0
                      Partes No Relacionadas: 0
                    Partes No Relacionadas: 123
                    Deducciones de inversiones:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Mano de obra directa de fabricación:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Gastos relacionados a la mano de obra:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Mano de obra indirecta de fabricación:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                  Costo de servicios:
                    Notas: null
                    Total: 0
                    Costo de servicios:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Partes Relacionadas: 0
                    Partes No Relacionadas: 0
                    Sin Costo de servicios:
                      Notas: null
                      Total: 0
                      Partes Relacionadas: 0
                      Partes No Relacionadas: 0
                    Costo neto de adquisición:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Comisiones y tarifas pagadas:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Comisiones y tarifas cobradas:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Otros ingresos (egresos) de la operación:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Incremento neto de otras reservas técnicas:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Costo neto de siniestralidad, reclamaciones y otras obligaciones pendientes de cumplir:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Incremento neto de las reservas técnicas (Riesgos en curso, obligaciones pendientes de cumplir, riesgos catastróficos):
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                  Gastos de operación:
                    Notas: null
                    Total: 123
                    Gastos de venta:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Gastos generales:
                      Notas: null
                      Total: 123
                      Partes Relacionadas: 0
                      Partes No Relacionadas: 123
                    Partes Relacionadas: 0
                    Partes No Relacionadas: 123
                    Sin Gastos de operación:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Gastos de administración:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                  Pérdida de operación:
                    Notas: null
                    Total: null
                    Partes Relacionadas: null
                    Partes No Relacionadas: null
                  Utilidad de operación:
                    Notas: null
                    Total: 123
                    Partes Relacionadas: null
                    Partes No Relacionadas: null
                  Impuestos a la utilidad:
                    Notas: null
                    Total: 0
                    Partes Relacionadas: 0
                    Partes No Relacionadas: 0
                    Impuesto sobre la renta:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Sin Impuestos a la utilidad:
                      Notas: null
                      Total: 0
                      Partes Relacionadas: 0
                      Partes No Relacionadas: 0
                    Impuesto sobre la renta diferido:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                  Operaciones discontinuadas:
                    Notas: null
                    Total: 0
                    Partes Relacionadas: 0
                    Partes No Relacionadas: 0
                    Operaciones discontinuadas:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Sin Operaciones discontinuadas:
                      Notas: null
                      Total: 0
                      Partes Relacionadas: 0
                      Partes No Relacionadas: 0
                    Pérdida de enajenación de acciones:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Utilidad de enajenación de acciones:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Participación de los Trabajadores en las Utilidades:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Pérdida de segmento del negocio o segmento geográfico:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Utilidad de segmento del negocio o segmento geográfico:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                  Participación en asociadas:
                    Notas: null
                    Total: 0
                    Partes Relacionadas: 0
                    Partes No Relacionadas: 0
                    Sin Participación en asociadas:
                      Notas: null
                      Total: 0
                      Partes Relacionadas: 0
                      Partes No Relacionadas: 0
                    Pérdida neta por participación en los resultados de subsidiarias no consolidadas, asociadas y negocios conjuntos:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Utilidad neta por participación en los resultados de subsidiarias no consolidadas, asociadas y negocios conjuntos:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                  Pérdida de operaciones continuas:
                    Notas: null
                    Total: null
                    Partes Relacionadas: null
                    Partes No Relacionadas: null
                  Utilidad de operaciones continuas:
                    Notas: null
                    Total: 123
                    Partes Relacionadas: null
                    Partes No Relacionadas: null
                  Resultado Integral de Financiamiento:
                    Notas: null
                    Total: 0
                    Ganancia cambiaria:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Gastos Financieros:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Pérdida cambiaria:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Partes Relacionadas: 0
                    Productos Financieros:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Partes No Relacionadas: 0
                    Intereses devengados a cargo nacionales:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Intereses devengados a favor nacionales:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Intereses moratorios a cargo nacionales:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Intereses moratorios a favor nacionales:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Sin Resultado Integral de Financiamiento:
                      Notas: null
                      Total: 0
                      Partes Relacionadas: 0
                      Partes No Relacionadas: 0
                    Intereses devengados a cargo del extranjero:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Intereses devengados a favor del extranjero:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Intereses moratorios a cargo del extranjero:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Intereses moratorios a favor del extranjero:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Resultado por posición monetaria favorable:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Resultado por posición monetaria desfavorable:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Cambios en el valor razonable de activos y pasivos financieros deudor:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Cambios en el valor razonable de activos y pasivos financieros acreedor:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                  Pérdida antes de Impuestos a la utilidad:
                    Notas: null
                    Total: null
                    Partes Relacionadas: null
                    Partes No Relacionadas: null
                  Utilidad antes de Impuestos a la utilidad:
                    Notas: null
                    Total: 123
                    Partes Relacionadas: null
                    Partes No Relacionadas: null
                  Total de materiales utilizados o comercializados:
                    Notas: null
                    Total: 123
                    Inventario Final:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Inventario Inicial:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Partes Relacionadas: 0
                    Partes No Relacionadas: 123
                    Compras netas nacionales:
                      Notas: null
                      Total: 123
                      Partes Relacionadas: 0
                      Partes No Relacionadas: 123
                    Compras netas extranjeras:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                    Sin materiales utilizados o comercializados:
                      Notas: null
                      Total: null
                      Partes Relacionadas: null
                      Partes No Relacionadas: null
                PFAE - ESTADO DE RESULTADOS: []
                PFAE - ESTADO DE POSICIÓN FINANCIERA: []
                ESTADO DE POSICIÓN FINANCIERA (BALANCE):
                  ACTIVO:
                    TOTAL DE ACTIVO:
                      Notas: null
                      Total: 123
                    ACTIVO A CORTO PLAZO:
                      Clientes:
                        Notas: null
                        Total: 0
                        Sin Clientes:
                          Notas: null
                          Total: null
                        Cartera de crédito vencida:
                          Notas: null
                          Total: null
                        Cartera de crédito vigente:
                          Notas: null
                          Total: null
                        Derechos de cobro adquiridos (neto):
                          Notas: null
                          Total: null
                        Clientes nacionales partes relacionadas:
                          Notas: null
                          Total: null
                        Clientes extranjeros partes relacionadas:
                          Notas: null
                          Total: null
                        Clientes nacionales partes no relacionadas:
                          Notas: null
                          Total: 0
                        Clientes extranjeros partes no relacionadas:
                          Notas: null
                          Total: null
                        Estimación preventiva para riesgos crediticios:
                          Notas: null
                          Total: null
                        Cartera de crédito con riesgo de crédito etapa 1:
                          Notas: null
                          Total: null
                        Cartera de crédito con riesgo de crédito etapa 2:
                          Notas: null
                          Total: null
                        Cartera de crédito con riesgo de crédito etapa 3:
                          Notas: null
                          Total: null
                      Inventarios:
                        Notas: null
                        Total: 0
                        Sin Inventarios:
                          Notas: null
                          Total: 0
                        Bienes adjudicados:
                          Notas: null
                          Total: null
                        Productos terminados:
                          Notas: null
                          Total: null
                        Producción en proceso:
                          Notas: null
                          Total: null
                        Pérdida por deterioro:
                          Notas: null
                          Total: null
                        Mercancías en tránsito:
                          Notas: null
                          Total: null
                        Estimación de obsolescencia:
                          Notas: null
                          Total: null
                        Materiales y materias primas:
                          Notas: null
                          Total: null
                        Estimación de bienes adjudicados:
                          Notas: null
                          Total: null
                      Deudores diversos:
                        Notas: null
                        Total: 123
                        Sin Deudores diversos:
                          Notas: null
                          Total: null
                        Deudores por primas nacionales:
                          Notas: null
                          Total: null
                        Deudores por primas del extranjero:
                          Notas: null
                          Total: null
                        Deudores diversos partes relacionadas nacionales:
                          Notas: null
                          Total: null
                        Deudores diversos partes no relacionadas nacionales:
                          Notas: null
                          Total: 123
                        Deudores diversos partes relacionadas del extranjero:
                          Notas: null
                          Total: null
                        Deudores diversos partes no relacionadas del extranjero:
                          Notas: null
                          Total: null
                      Pagos anticipados:
                        Notas: null
                        Total: 0
                        Pagos anticipados:
                          Notas: null
                          Total: null
                        Sin Pagos anticipados:
                          Notas: null
                          Total: 0
                        Depósitos en garantía:
                          Notas: null
                          Total: null
                        Rentas pagadas por anticipado:
                          Notas: null
                          Total: null
                        Impuestos pagados por anticipado:
                          Notas: null
                          Total: null
                        Seguros y fianzas pagados por anticipado:
                          Notas: null
                          Total: null
                        Anticipo a proveedores nacionales partes relacionadas:
                          Notas: null
                          Total: null
                        Anticipo a proveedores extranjeros partes relacionadas:
                          Notas: null
                          Total: null
                        Anticipo a proveedores nacionales partes no relacionadas:
                          Notas: null
                          Total: null
                        Anticipo a proveedores extranjeros partes no relacionadas:
                          Notas: null
                          Total: null
                      Impuesto por recuperar:
                        Notas: null
                        Total: 123
                      Otros activos a corto plazo:
                        Notas: null
                        Total: null
                      Total de Activo a corto plazo:
                        Notas: null
                        Total: 123
                      Activos disponibles para venta:
                        Notas: null
                        Total: 0
                      Cuentas y documentos por cobrar:
                        Notas: null
                        Total: 0
                        Deudores por reporto:
                          Notas: null
                          Total: null
                        Préstamo de valores:
                          Notas: null
                          Total: null
                        Instrumentos Financieros Derivados:
                          Notas: null
                          Total: null
                        Sin Cuentas y documentos por cobrar:
                          Notas: null
                          Total: null
                        Cuentas y documentos por cobrar a partes relacionadas nacionales:
                          Notas: null
                          Total: null
                        Cuentas y documentos por cobrar a partes no relacionadas nacionales:
                          Notas: null
                          Total: 0
                        Cuentas y documentos por cobrar a partes relacionadas del extranjero:
                          Notas: null
                          Total: null
                        Cuentas y documentos por cobrar a partes no relacionadas del extranjero:
                          Notas: null
                          Total: null
                      Estimación de cuentas incobrables:
                        Notas: null
                        Total: 0
                      Efectivo y equivalentes de efectivo:
                        Notas: null
                        Total: 123
                        Cuentas de margen:
                          Notas: null
                          Total: null
                        Sin Efectivo y equivalentes de efectivo:
                          Notas: null
                          Total: null
                        Efectivo y equivalentes de efectivo nacionales:
                          Notas: null
                          Total: 123
                        Efectivo y equivalentes de efectivo del extranjero:
                          Notas: null
                          Total: null
                        Efectivo y equivalentes de efectivo, restringido nacionales:
                          Notas: null
                          Total: null
                        Efectivo y equivalentes de efectivo, restringido del extranjero:
                          Notas: null
                          Total: null
                      Instrumentos financieros de negociación:
                        Notas: null
                        Total: 0
                        Sin Inversiones en valores con Instituciones:
                          Notas: null
                          Total: 0
                        Inversiones permanentes en acciones nacionales:
                          Notas: null
                          Total: null
                        Inversiones permanentes en acciones del extranjero:
                          Notas: null
                          Total: null
                        Inversiones en instrumentos financieros negociables:
                          Notas: null
                          Total: null
                        Inversiones en valores con Instituciones nacionales:
                          Notas: null
                          Total: null
                        Inversiones en valores con Instituciones extranjeras:
                          Notas: null
                          Total: null
                        Inversiones en instrumentos financieros para cobrar o vender:
                          Notas: null
                          Total: null
                    ACTIVO A LARGO PLAZO:
                      Crédito mercantil:
                        Notas: null
                        Total: 0
                      Activos intangibles:
                        Notas: null
                        Total: 0
                        Activos intangibles:
                          Notas: null
                          Total: null
                        Sin Activos intangibles:
                          Notas: null
                          Total: 0
                        Derechos de usufructo adquirido en el ejercicio:
                          Notas: null
                          Total: null
                      Anticipo a proveedores:
                        Notas: null
                        Total: 0
                        Pagos anticipados:
                          Notas: null
                          Total: null
                        Depósitos en garantía:
                          Notas: null
                          Total: null
                        Sin Anticipo a proveedores:
                          Notas: null
                          Total: 0
                        Impuestos pagados por anticipado:
                          Notas: null
                          Total: null
                        Seguros y fianzas pagados por anticipado:
                          Notas: null
                          Total: null
                        Anticipo a proveedores nacionales a largo plazo (partes relacionadas):
                          Notas: null
                          Total: null
                        Anticipo a proveedores extranjeros a largo plazo (partes relacionadas):
                          Notas: null
                          Total: null
                        Anticipo a proveedores nacionales a largo plazo (partes no relacionadas):
                          Notas: null
                          Total: null
                        Anticipo a proveedores extranjeros a largo plazo (partes no relacionadas):
                          Notas: null
                          Total: null
                      Inversiones en asociadas:
                        Notas: null
                        Total: 0
                      Otros activos a largo plazo:
                        Notas: null
                        Total: null
                      Propiedades, plantas y equipo:
                        Notas: null
                        Total: 0
                        Terrenos:
                          Notas: null
                          Total: null
                        Maquinaria:
                          Notas: null
                          Total: null
                        Construcciones:
                          Notas: null
                          Total: null
                        Equipo de Computo:
                          Notas: null
                          Total: null
                        Mobiliario y Equipo:
                          Notas: null
                          Total: null
                        Equipo de Transporte:
                          Notas: null
                          Total: null
                        Depreciación de maquinaria:
                          Notas: null
                          Total: null
                        Mejoras a inmuebles arrendados:
                          Notas: null
                          Total: null
                        Depreciación de construcciones:
                          Notas: null
                          Total: null
                        Sin Propiedades, plantas y equipo:
                          Notas: null
                          Total: 0
                        Depreciación de equipo de computo:
                          Notas: null
                          Total: null
                        Depreciación de mobiliario y equipo:
                          Notas: null
                          Total: null
                        Depreciación de equipo de transporte:
                          Notas: null
                          Total: null
                      Total de Activo a largo plazo:
                        Notas: null
                        Total: 0
                      Cuentas y documentos por cobrar a largo plazo:
                        Notas: null
                        Total: 0
                        Sin Cuentas y documentos por cobrar a largo plazo:
                          Notas: null
                          Total: 0
                        Cuentas y documentos por cobrar a largo plazo de partes relacionadas nacionales:
                          Notas: null
                          Total: null
                        Cuentas y documentos por cobrar a largo plazo de partes relacionadas extranjeras:
                          Notas: null
                          Total: null
                        Cuentas y documentos por cobrar a largo plazo de partes no relacionadas nacionales:
                          Notas: null
                          Total: null
                        Cuentas y documentos por cobrar a largo plazo de partes no relacionadas extranjeras:
                          Notas: null
                          Total: null
                      Instrumentos financieros por cobrar a largo plazo:
                        Notas: null
                        Total: 0
                  PASIVO:
                    TOTAL DE PASIVO:
                      Notas: null
                      Total: 123
                    PASIVO A CORTO PLAZO:
                      Proveedores:
                        Notas: null
                        Total: 0
                        Sin Proveedores:
                          Notas: null
                          Total: 0
                        Proveedores nacionales partes relacionadas:
                          Notas: null
                          Total: null
                        Proveedores nacionales partes no relacionadas:
                          Notas: null
                          Total: null
                        Proveedores del extranjero partes relacionadas:
                          Notas: null
                          Total: null
                        Proveedores del extranjero partes no relacionadas:
                          Notas: null
                          Total: null
                      Provisiones:
                        Notas: null
                        Total: 0
                      Acreedores diversos:
                        Notas: null
                        Total: 123
                        Préstamo de valores:
                          Notas: null
                          Total: null
                        Acreedores por reporto:
                          Notas: null
                          Total: null
                        Sin Acreedores diversos:
                          Notas: null
                          Total: null
                        Pasivo por arrendamiento:
                          Notas: null
                          Total: null
                        Reaseguradores y reafianzadores:
                          Notas: null
                          Total: null
                        Acreedores por cuentas de margen:
                          Notas: null
                          Total: null
                        Impuestos a la utilidad por pagar:
                          Notas: null
                          Total: 0
                        Colaterales vendidos o dados en garantía:
                          Notas: null
                          Total: null
                        Acreedores por liquidación de operaciones:
                          Notas: null
                          Total: null
                        Obligaciones en operaciones de bursatilización:
                          Notas: null
                          Total: null
                        Acreedores por colaterales recibidos en efectivo:
                          Notas: null
                          Total: null
                        Acreedores diversos nacionales partes relacionadas:
                          Notas: null
                          Total: null
                        Acreedores diversos nacionales partes no relacionadas:
                          Notas: null
                          Total: 123
                        Acreedores diversos del extranjero partes relacionadas:
                          Notas: null
                          Total: null
                        Activos por derecho de uso derivados de arrendamientos:
                          Notas: null
                          Total: null
                        Acreedores diversos del extranjero partes no relacionadas:
                          Notas: null
                          Total: null
                      Impuestos por pagar:
                        Notas: null
                        Total: 123
                        ISR diferido:
                          Notas: null
                          Total: null
                        PTU por pagar:
                          Notas: null
                          Total: null
                        Impuestos por pagar:
                          Notas: null
                          Total: null
                        Impuestos retenidos:
                          Notas: null
                          Total: 123
                        Sin Impuestos por pagar:
                          Notas: null
                          Total: null
                        Otros pasivos a corto plazo:
                          Notas: null
                          Total: null
                        Impuestos trasladados cobrados:
                          Notas: null
                          Total: null
                        Impuestos trasladados por cobrar:
                          Notas: null
                          Total: 0
                      Anticipo de clientes:
                        Notas: null
                        Total: 0
                        Sin Anticipo de clientes:
                          Notas: null
                          Total: null
                        Anticipos de clientes partes relacionadas nacionales:
                          Notas: null
                          Total: null
                        Anticipos de clientes partes no relacionadas nacionales:
                          Notas: null
                          Total: 0
                        Anticipos de clientes partes relacionadas del extranjero:
                          Notas: null
                          Total: null
                        Anticipos de clientes partes no relacionadas del extranjero:
                          Notas: null
                          Total: null
                      Préstamos bancarios:
                        Notas: null
                        Total: 0
                      Instrumentos financieros:
                        Notas: null
                        Total: 0
                        Sin Instrumentos financieros:
                          Notas: null
                          Total: 0
                        Instrumentos financieros nacionales partes relacionadas:
                          Notas: null
                          Total: null
                        Instrumentos financieros derivados con fines de cobertura:
                          Notas: null
                          Total: null
                        Ajustes de valuación por cobertura de pasivos financieros:
                          Notas: null
                          Total: null
                        Instrumentos financieros nacionales partes no relacionadas:
                          Notas: null
                          Total: null
                        Instrumentos financieros del extranjero partes relacionadas:
                          Notas: null
                          Total: null
                        Instrumentos financieros derivados con fines de negociación:
                          Notas: null
                          Total: null
                        Instrumentos financieros del extranjero partes no relacionadas:
                          Notas: null
                          Total: null
                      Total de Pasivo a corto plazo:
                        Notas: null
                        Total: 123
                      Cuentas y documentos por pagar:
                        Notas: null
                        Total: 0
                        Captación tradicional:
                          Notas: null
                          Total: null
                        Otras reservas técnicas:
                          Notas: null
                          Total: null
                        Sin Cuentas y documentos por pagar:
                          Notas: null
                          Total: 0
                        Préstamos interbancarios y de otros organismos:
                          Notas: null
                          Total: null
                        Cuentas y documentos por pagar a partes relacionadas nacionales:
                          Notas: null
                          Total: null
                        Cuentas y documentos por pagar a partes no relacionadas nacionales:
                          Notas: null
                          Total: null
                        Cuentas y documentos por pagar a partes relacionadas del extranjero:
                          Notas: null
                          Total: null
                        Cuentas y documentos por pagar a partes no relacionadas del extranjero:
                          Notas: null
                          Total: null
                        Reservas técnicas (Riesgos en curso, obligaciones pendientes de cumplir, riesgos catastróficos):
                          Notas: null
                          Total: null
                    PASIVO A LARGO PLAZO:
                      Beneficio a empleados:
                        Notas: null
                        Total: 0
                      Provisiones a largo plazo:
                        Notas: null
                        Total: 0
                      Otros pasivos a largo plazo:
                        Notas: null
                        Total: null
                      Total de Pasivo a largo plazo:
                        Notas: null
                        Total: 0
                      Rentas cobradas por anticipado:
                        Notas: null
                        Total: 0
                      Instrumentos financieros a largo plazo:
                        Notas: null
                        Total: 0
                        Sin Instrumentos financieros a largo plazo:
                          Notas: null
                          Total: 0
                        Instrumentos financieros a largo plazo nacionales de partes relacionadas:
                          Notas: null
                          Total: null
                        Instrumentos financieros a largo plazo nacionales de partes no relacionadas:
                          Notas: null
                          Total: null
                        Instrumentos financieros a largo plazo del extranjero de partes relacionadas:
                          Notas: null
                          Total: null
                        Instrumentos financieros a largo plazo del extranjero de partes no relacionadas:
                          Notas: null
                          Total: null
                      Impuesto a la utilidad diferido por pagar:
                        Notas: null
                        Total: 0
                      Cuentas y documentos por pagar a largo plazo:
                        Notas: null
                        Total: 0
                        Sin Cuentas y documentos por pagar a largo plazo:
                          Notas: null
                          Total: 0
                        Cuentas y documentos por pagar a largo plazo de partes relacionadas nacionales:
                          Notas: null
                          Total: null
                        Cuentas y documentos por pagar a largo plazo de partes no relacionadas nacionales:
                          Notas: null
                          Total: null
                        Cuentas y documentos por pagar a largo plazo de partes relacionadas del extranjero:
                          Notas: null
                          Total: null
                        Cuentas y documentos por pagar a largo plazo de partes no relacionadas del extranjero:
                          Notas: null
                          Total: null
                      Aportaciones para futuros aumentos de capital:
                        Notas: null
                        Total: 0
                  CAPITAL:
                    CAPITAL CONTABLE:
                      Capital Social:
                        Notas: null
                        Total: 123
                        Reserva Legal:
                          Notas: null
                          Total: null
                        Sin Capital social:
                          Notas: null
                          Total: null
                        Reservas de capital:
                          Notas: null
                          Total: null
                        Prima en venta de acciones:
                          Notas: null
                          Total: null
                        Capital social (aportaciones):
                          Notas: null
                          Total: 123
                        Capital social (capitalización):
                          Notas: null
                          Total: null
                        Actualización del capital contable:
                          Notas: null
                          Total: null
                        Exceso en la actualización del capital:
                          Notas: null
                          Total: null
                        Aportaciones para futuros aumentos de capital:
                          Notas: null
                          Total: null
                        Insuficiencia en la actualización del capital:
                          Notas: null
                          Total: null
                      Utilidades acumuladas:
                        Notas: null
                        Total: -123
                        Pérdida neta:
                          Notas: null
                          Total: 0
                        Utilidad neta:
                          Notas: null
                          Total: 123
                        Pérdidas acumuladas:
                          Notas: null
                          Total: -123
                        Utilidades acumuladas:
                          Notas: null
                          Total: 123
                        Sin Utilidades acumuladas:
                          Notas: null
                          Total: null
                      Otros resultados integrales:
                        Notas: null
                        Total: 0
                      Participación controladora:
                        Notas: null
                        Total: -123
                      Participación no controladora:
                        Notas: null
                        Total: 0
                    TOTAL DE CAPITAL CONTABLE:
                      Notas: null
                      Total: -123
                    TOTAL DE PASIVO Y CAPITAL CONTABLE:
                      Notas: null
                      Total: 123
            financial_statements_2014:
              summary: Financial statements 2014 format
              value:
                ESTADO DE RESULTADOS:
                  VENTAS Y/O SERVICIOS NACIONALES:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 25447832
                    TOTAL: 25447832
                  VENTAS Y/O SERVICIOS EXTRANJEROS:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 12340
                    TOTAL: 12340
                  DEVOLUCIONES, DESCUENTOS Y BONIFICACIONES SOBRE VENTAS NACIONALES:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  DEVOLUCIONES, DESCUENTOS Y BONIFICACIONES SOBRE VENTAS AL EXTRANJERO:
                    PARTES RELACIONADAS: 0
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  INGRESOS NETOS:
                    PARTES RELACIONADAS: 0
                    PARTES NO RELACIONADAS: 17447933
                    TOTAL: 17447933
                  INVENTARIO INICIAL: null
                  COMPRAS NETAS NACIONALES:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 5100423
                    TOTAL: 5100423
                  COMPRAS NETAS DE IMPORTACIÓN:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 1124038
                    TOTAL: 1124038
                  INVENTARIO FINAL: null
                  COSTO DE LAS MERCANCÍAS: 6024467
                  MANO DE OBRA:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  MAQUILAS:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  GASTOS INDIRECTOS DE FABRICACIÓN:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  COSTO DE VENTAS Y/O SERVICIOS:
                    PARTES RELACIONADAS: 6024467
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 6024467
                  UTILIDAD BRUTA: 9423466
                  PÉRDIDA BRUTA: 0
                  GASTOS DE OPERACIÓN:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 8155730
                    TOTAL: 8155730
                  UTILIDAD DE OPERACIÓN: 267734
                  PÉRDIDA DE OPERACIÓN: null
                  INTERESES DEVENGADOS A FAVOR NACIONALES:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  INTERESES DEVENGADOS A FAVOR DEL EXTRANJERO:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  INTERESES MORATORIOS A FAVOR NACIONALES:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  INTERESES MORATORIOS A FAVOR DEL EXTRANJERO:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  GANANCIA CAMBIARIA:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  INTERESES DEVENGADOS A CARGO NACIONALES:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  INTERESES DEVENGADOS A CARGO DEL EXTRANJERO:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  INTERESES MORATORIOS A CARGO NACIONALES:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  INTERESES MORATORIOS A CARGO DEL EXTRANJERO:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  PÉRDIDA CAMBIARIA:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  RESULTADO POR POSICIÓN MONETARIA FAVORABLE:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: null
                    TOTAL: null
                  RESULTADO POR POSICIÓN MONETARIA DESFAVORABLE:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: null
                    TOTAL: null
                  OTRAS OPERACIONES FINANCIERAS NACIONALES:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  OTRAS OPERACIONES FINANCIERAS EXTRANJERAS:
                    PARTES RELACIONADAS: null
                    PARTES NO RELACIONADAS: 0
                    TOTAL: 0
                  OTRAS OPERACIONES FINANCIERAS: 0
                  RESULTADO INTEGRAL DE FINANCIAMIENTO: 0
                  OTROS GASTOS NACIONALES: 125381
                  OTROS GASTOS EXTRANJEROS: null
                  OTROS GASTOS: 125381
                  OTROS PRODUCTOS NACIONALES: 0
                  OTROS PRODUCTOS EXTRANJEROS: 0
                  OTROS PRODUCTOS: 0
                  INGRESOS POR PARTIDAS DISCONTINUAS Y EXTRAORDINARIAS: null
                  GASTOS POR PARTIDAS DISCONTINUAS Y EXTRAORDINARIAS: null
                  UTILIDAD ANTES DE IMPUESTOS: 82354
                  PÉRDIDA ANTES DE IMPUESTOS: null
                  ISR: null
                  IETU: null
                  IMPAC: null
                  PTU: null
                  UTILIDAD EN PARTICIPACIÓN SUBSIDIARIA: null
                  PÉRDIDA EN PARTICIPACIÓN SUBSIDIARIA: null
                  EFECTOS DE REEXPRESIÓN FAVORABLES EXCEPTO RESULTADO POR POSICIÓN MONETARIA: null
                  EFECTOS DE REEXPRESIÓN DESFAVORABLES EXCEPTO RESULTADO POR POSICIÓN MONETARIA: null
                  UTILIDAD NETA: 52355
                  PÉRDIDA NETA: null
                ESTADO DE POSICIÓN FINANCIERA (BALANCE):
                  ACTIVOS:
                    EFECTIVO EN CAJA Y DEPÓSITOS EN INSTITUCIONES DE CRÉDITO NACIONALES: 115202
                    EFECTIVO EN CAJA Y DEPÓSITOS EN INSTITUCIONES DE CRÉDITO DEL EXTRANJERO: null
                    INVERSIONES EN VALORES CON INSTITUCIONES NACIONALES (EXCEPTO ACCIONES): null
                    INVERSIONES EN VALORES CON INSTITUCIONES EXTRANJERAS (EXCEPTO ACCIONES): null
                    CUENTAS Y DOCUMENTOS POR COBRAR NACIONALES:
                      PARTES RELACIONADAS: null
                      PARTES NO RELACIONADAS: 230000
                      TOTAL: 230000
                    CUENTAS Y DOCUMENTOS POR COBRAR DEL EXTRANJERO:
                      PARTES RELACIONADAS: null
                      PARTES NO RELACIONADAS: 0
                      TOTAL: 0
                    CONTRIBUCIONES A FAVOR: 43212
                    INVENTARIOS: 0
                    OTROS ACTIVOS CIRCULANTES: 5728
                    INVERSIONES EN ACCIONES NACIONALES: null
                    INVERSIONES EN ACCIONES DEL EXTRANJERO: 0
                    INVERSIONES EN ACCIONES (TOTAL): 0
                    TERRENOS: null
                    CONSTRUCCIONES: null
                    CONSTRUCCIONES EN PROCESO: null
                    MAQUINARIA Y EQUIPO: null
                    MOBILIARIO Y EQUIPO DE OFICINA: null
                    EQUIPO DE CÓMPUTO: null
                    EQUIPO DE TRANSPORTE: null
                    OTROS ACTIVOS FIJOS: null
                    DEPRECIACIÓN ACUMULADA: null
                    CARGOS Y GASTOS DIFERIDOS: null
                    AMORTIZACIÓN ACUMULADA: null
                    SUMA ACTIVOS: 493142
                  PASIVOS:
                    CUENTAS Y DOCUMENTOS POR PAGAR NACIONALES:
                      PARTES RELACIONADAS: null
                      PARTES NO RELACIONADAS: 976911
                      TOTAL: 976911
                    CUENTAS Y DOCUMENTOS POR PAGAR DEL EXTRANJERO:
                      PARTES RELACIONADAS: null
                      PARTES NO RELACIONADAS: 0
                      TOTAL: 0
                    CONTRIBUCIONES POR PAGAR: 10474
                    ANTICIPOS DE CLIENTES:
                      PARTES RELACIONADAS: null
                      PARTES NO RELACIONADAS: 0
                      TOTAL: 0
                    APORTACIONES PARA FUTUROS AUMENTOS DE CAPITAL: null
                    OTROS PASIVOS: null
                    SUMA PASIVOS: 987385
                  CAPITAL CONTABLE:
                    CAPITAL SOCIAL PROVENIENTE DE APORTACIONES: 100000
                    CAPITAL SOCIAL PROVENIENTE DE CAPITALIZACIÓN: null
                    RESERVAS: null
                    OTRAS CUENTAS DE CAPITAL: null
                    APORTACIONES PARA FUTUROS AUMENTOS DE CAPITAL: null
                    UTILIDADES ACUMULADAS: 1399808
                    UTILIDAD DEL EJERCICIO: 62355
                    PÉRDIDAS ACUMULADAS: -2456702
                    PÉRDIDA DEL EJERCICIO: null
                    EXCESO EN LA ACTUALIZACIÓN DEL CAPITAL: null
                    INSUFICIENCIA EN LA ACTUALIZACIÓN DEL CAPITAL: 0
                    ACTUALIZACIÓN DEL CAPITAL CONTABLE: null
                    SUMA CAPITAL CONTABLE: -694233
                    SUMA PASIVO MÁS CAPITAL CONTABLE: 493132
            provisional_variables:
              summary: Provisional variables
              value:
                variables:
                  sales_revenue: 1234567.89
                  cash_inflow: 987654.32
                  cash_outflow: 654321.1
                  number_of_employees: 15
                  payroll_amount: 234567.89
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    NotFound:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
  schemas:
    TaxReturnID:
      type: string
      format: uuid
      description: Tax Return ID
      example: 91106968-1abd-4d64-85c1-4e73d96fb997
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: >
        Your API key is available in the
        [Production](https://app.syntage.com/settings/api-keys) and
        [Sandbox](https://app.sandbox.syntage.com/settings/api-keys) dashboards.

````